<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- Responsive Meta Tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<title>Bootstrap Introduction and Simple Styles</title>
</head>

<body class="text-center bg-secondary">

	<!-- Navbar -->
	<div class="bg-primary text-light fixed-top p-1">Fixed Top - Navbar</div>
	<!-- End of Navbar -->

	<div class="mt-5">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>
	</div>

	<!-- Bootstrap Utility Classes -->
	
	<div class="container-fluid mt-5 mb-5">
		
		<h2>Bootstrap Color Classes</h2>

			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td>
							<a href="" class="text-primary">Primary Link</a>
						</td>
						<td class="bg-primary text-white">Primary</td>
					</tr>
					<tr>
						<td>
							<a href="" class="text-secondary">Secondary Link</a>
						</td>
						<td class="bg-secondary text-white">Secondary</td>
					</tr>
					<tr>
						<tr>
		                    <td>
		                        <a href="#" class="text-success">
		                                Success link</a>
		                    </td>
		                    <td class="bg-success text-white">Success</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-danger">
		                                Danger link
		                        </a>
		                    </td>
		                    <td class="bg-danger text-white">Danger</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-warning">
		                                Warning link
		                        </a>
		                    </td>
		                    <td class="bg-warning text-white">Warning</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-info">
		                                Info link
		                        </a>
		                   </td>
		                   <td class="bg-info text-white">Info</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-light">
		                                Light link
		                        </a>
		                    </td>
		                    <td class="bg-light text-white">Light</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-dark">
		                                Dark link
		                        </a>
		                    </td>
		                    <td class="bg-dark text-white">Dark</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-muted">
		                                Muted link
		                        </a>
		                    </td>
		                    <td class="bg-muted text-white">Muted</td>
		                </tr>
		                <tr>
		                    <td>
		                        <a href="#" class="text-white">
		                                White link
		                        </a>
		                    </td>
		                    <td class="bg-white text-white">White</td>
		                </tr>
					</tr>				
				</tbody>
			</table>
	</div>
	<!-- End of Bootstrap Utility Classes -->

	<!-- Text Alignment Classes -->

	<h2>Bootstrap Text Classes</h2>

	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Alignment</th>
			</tr>
		</thead>

		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>
			</tr>
			<tr>
				<td class="text-right">Right</td>
			</tr>

			<!-- Screen size is greater than or equal to 576px -->
			<!-- Large mobile phones -->
			<tr>
				<td class="text-sm-center">Small Center</td>
			</tr>

			<!-- Screen size is greater than or equal to 786px -->
			<!-- Tablets -->
			<tr>
				<td class="text-right text-md-left">Others Right/Medium Left</td>
			</tr>

			<!-- Screen size is greater than or equal to 992px -->
			<!-- Desktop -->
			<tr>
				<td class="text-lg-right">Large Right</td>
			</tr>

			<!-- Screen size is greater than or equal to 1200px -->
			<!-- TV and other large screens -->
			<tr>
				<td class="text-xl-center">Extra Large Center</td>
			</tr>
		</tbody>
	</table>

	<!-- Bootstrap Border and Sizing Classes Table -->
	<h2>Bootstrap Border and Sizing Classes</h2>

	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Border</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<div class="bg-info border border-primary rounded w-100">Rounded</div>
				</td>
			</tr>
			<tr>
				<td>
					<div class="bg-secondary border border-white rounded-circle w-100">Rounded Circle</div>
				</td>
			</tr>
			<tr>
				<td>
					<div class="bg-warning border border-danger rounded-pill w-100">Rounded Pill</div>
				</td>
			</tr>
		</tbody>
	</table>
	<!-- End of Bootstrap Border and Sizing Classes Table -->

	<!-- Bootstrap Other Text Classes Table -->
	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Text Trsndform</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
			</tr>
			<tr>
				<td class="text-uppercase font-weight-normal">uppercased normal text</td>
			</tr>
			<tr>
				<td class="text-capitalized font-weight-light">capitalized light text</td>
			</tr>
			<tr>
				<td>
					<a href="" class="text-decoration-none font-italic">Non-underlines Italic Link</a>
				</td>
			</tr>
		</tbody>
	</table>

	<!-- Footer -->
	<div class="bg-primary text-light fixed-bottom p-1">Fixed Bottom - Footer</div>
	<!-- End of Footer -->



	<!-- Bootstrap Script: need to use -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>